/**
 * output package name
 */
package com.kingdee.eas.hr.project;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class dataSource extends StringEnum
{
    public static final String EMPLOYEEREPORT_VALUE = "employeeReport";//alias=员工填报
    public static final String WORKHOURSCAL_VALUE = "workHoursCal";//alias=工时计算

    public static final dataSource employeeReport = new dataSource("employeeReport", EMPLOYEEREPORT_VALUE);
    public static final dataSource workHoursCal = new dataSource("workHoursCal", WORKHOURSCAL_VALUE);

    /**
     * construct function
     * @param String dataSource
     */
    private dataSource(String name, String dataSource)
    {
        super(name, dataSource);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static dataSource getEnum(String dataSource)
    {
        return (dataSource)getEnum(dataSource.class, dataSource);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(dataSource.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(dataSource.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(dataSource.class);
    }
}